# Capo properties for the Docker-provided services
metadataDatabase.jdbcDriver   = org.postgresql.Driver
metadataDatabase.jdbcUrl      = jdbc:postgresql://db/archive
metadataDatabase.jdbcUsername = archive
metadataDatabase.jdbcPassword = docker

edu.nrao.archive.configuration.AmqpServer.hostname = amqp
edu.nrao.archive.configuration.AmqpServer.username = guest
edu.nrao.archive.configuration.AmqpServer.password = guest
edu.nrao.archive.configuration.AmqpServer.port     = 5672

#
# Workspaces settings
#
edu.nrao.archive.workspaces.CapabilitySettings.serviceUrl = http://capability:3457
edu.nrao.archive.workspaces.WorkflowSettings.serviceUrl = http://workflow:3456
edu.nrao.archive.workspaces.NotificationSettings.serviceUrl = http://notification:3458
edu.nrao.archive.workspaces.UISettings.serviceUrl = http://localhost:4444/workspaces


#
# Processing Settings
#
edu.nrao.archive.workspaces.ProcessingSettings.useCondor = false
edu.nrao.archive.workspaces.ProcessingSettings.useCasa = false
edu.nrao.archive.workspaces.ProcessingSettings.rootDirectory = /tmp/workspaces_tmp
edu.nrao.archive.workspaces.ProcessingSettings.scriptLocation = /packages/apps/cli/executables/wf_framework/sh

edu.nrao.archive.workflow.config.CasaVersions.homeForReprocessing = /home/casa/packages/pipeline/current

#
# Delivery settings
#
edu.nrao.archive.workflow.config.DeliverySettings.nraoDownloadDirectory = /tmp/delivery_root
edu.nrao.archive.workflow.config.DeliverySettings.nraoDownloadUrl = http://localhost:4444/dl


#
# CIPL Settings
#
edu.nrao.archive.workspaces.DeliverySettings.ciplDelivery = /tmp/workspaces_tmp/qa
edu.nrao.archive.workspaces.DeliverySettings.cacheWeblogDirectory = /tmp/workspaces_tmp/cache/weblog

#
# Data fetcher settings
#

edu.nrao.archive.workflow.config.DataFetcherSettings.ramInGb = 16
edu.nrao.archive.workflow.config.DataFetcherSettings.clusterTimeout = 01:00:00:00
edu.nrao.archive.datafetcher.DataFetcherSettings.locatorServiceUrlPrefix = https://webtest.aoc.nrao.edu/archiveServices/location?locator
edu.nrao.archive.datafetcher.DataFetcherSettings.defaultThreadsPerHost = 4
edu.nrao.archive.datafetcher.DataFetcherSettings.executionSite = local_test
edu.nrao.archive.datafetcher.DataFetcherSettings.downloadDirectory=/tmp/
edu.nrao.archive.workflow.config.RequestHandlerSettings.downloadDirectory=/tmp/
